<?xml version="1.0" encoding="utf-8"?>
<x:stylesheet xmlns:x="http://www.w3.org/1999/XSL/Transform"
              xmlns:wc="http://webcoso.thenautilus.net/"
              version="1.0">

 <x:param name="language" select="'en'"/>
 <x:param name="path"/>
 <x:param name="filename"/>

 <x:output method="xml" encoding="utf-8"/>

 <x:template match="*">
  <x:copy>
   <x:apply-templates select="@*|*|text()"/>
  </x:copy>
 </x:template>

 <x:template match="@*">
  <x:copy/>
 </x:template>

 <x:template match="PH">
  <url><x:value-of select="."/></url>
  <title><x:apply-templates select="wc:title-for($language,$filename,.)"/></title>
 </x:template>


</x:stylesheet>