#!/usr/bin/perl
use strict;
use warnings;
use Test::More qw(no_plan);
use Path::Class;

chdir file(__FILE__)->parent->parent->stringify;

$ENV{PERL5LIB}=join ':',@INC;

system($^X,qw(blib/script/webcoso.pl -s t/test-site/src/ -d t/test-site/output/ -I t/test-site/common/ --clean))
    and die "Problems running webcoso.pl (clean): $?\n";

system($^X,qw(blib/script/webcoso.pl -s t/test-site/src/ -d t/test-site/output/ -I t/test-site/common/))
    and die "Problems running webcoso.pl: $?\n";

is(system(qw(diff -r -x .svn -I),'\(Ultima modifica\|Latest change\)',qw(t/test-site/output/ t/test-site-output/)),0,'output as expected');

system($^X,qw(blib/script/webcoso.pl -s t/test-site/src/ -d t/test-site/output/ -I t/test-site/common/ --clean))
    and die "Problems running webcoso.pl (clean): $?\n";
